## debian-history 2.2

=== Makefile ===
# Makefile for a manual in the Debian Documentation Project manuals.sgml
# tree.

# The directory in which this makefile resides must also contain a file
# called <directoryname>.sgml, which is the top-level file for the manual
# in this directory.

# What is the current manual's name
MANUAL :=	$(shell basename $(shell pwd))
# Where are we publishing to?
#  (this can be overriden by a higher level makefile)
PUBLISHDIR :=	../../../public_html/manuals.html

.SUFFIXES: .sgml .txt .html

.sgml.txt:
	debiandoc2text $*.sgml

# What do we want by default?
all:		publish

# This target installs the generated HTML in the published directory.
publish:	$(MANUAL).html/index.html
# 		fail if there is no PUBLISHDIR
		[ -d $(PUBLISHDIR) ] || exit 1
		rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
		install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
		install -m 644 --preserve-timestamps $(MANUAL).html/*.html \
			$(PUBLISHDIR)/$(MANUAL)/

$(MANUAL).html/index.html:	$(wildcard *.sgml)
		debiandoc2html $(MANUAL).sgml

# ensure our SGML is valid
#   (add this to $(MANUAL).html rule to prevent building if not)
validate:
		nsgmls -gues $(MANUAL).sgml

clean:
		rm -rf $(MANUAL).html

distclean:	clean

.PHONY: all publish clean distclean validate

## debian-history 0.1

=== debian/changelog ===
debian-history (0.1) unstable; urgency=low

  * Initial Release.
  * Many thanks to Will Lowe <lowe@debian.org> for his work on a project
    history, and for agreeing to let me take over the effort.  This version 
    includes some minor additions and changes from Will's last version, and is
    far from what I would consider "complete".  I'm going to go ahead and
    upload it, both to ensure that the package is included in the 2.2 potato
    release, and to encourage others to provide inputs and feedback to help
    make this as accurate and complete as possible.  I intend to update the 
    text substantially before potato finally releases.

 -- Bdale Garbee <bdale@gag.com>  Wed, 29 Dec 1999 01:37:16 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper, debiandoc-sgml, sp
Standards-Version: 3.1.1.1

Package: debian-history
Architecture: all
Description: A Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  This package contains text files that
 help to accomplish this goal.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	
	# ensure our SGML is valid
	nsgmls -gues debian-history.sgml
	# make HTML out of it
	debiandoc2html debian-history.sgml

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp install-stamp debian-history.html
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 644 debian-history.html/*.html \
		debian/tmp/usr/share/doc/debian-history/html

	touch install-stamp

# Build architecture-dependent files here.
binary: install-stamp
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary install

## debian-history 2.2

=== debian/changelog ===
debian-history (2.2) unstable; urgency=low

  * fix typos pointed out by Oohara Yuuma <oohara@libra.interq.or.jp>

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Feb 2002 09:25:58 -0700

debian-history (2.1) unstable; urgency=low

  * since the package is so small, go back to delivering just one package but
    including all translations, instead of separate packages per language

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Jan 2002 21:29:38 -0700

debian-history (2.0) unstable; urgency=low

  * clean up lintian complaints
  * merge with project-history tree in CVS, deliver translations, etc.  roll
    version number far enough forward to eliminate confusion, closes: #74801

 -- Bdale Garbee <bdale@gag.com>  Fri,  4 Jan 2002 01:15:01 -0700

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends-Indep: debhelper, debiandoc-sgml, sp
Standards-Version: 3.5.6.0

Package: debian-history
Architecture: all
Description: A Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  
 .
 In English, French, and Russian.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp

build-stamp: 
	dh_testdir

	# ensure our SGML is valid
	nsgmls -gues project-history.sgml
	nsgmls -gues project-history.fr.sgml
	nsgmls -gues project-history.ru.sgml

	# make HTML out of it
	debiandoc2html project-history.sgml
	debiandoc2html project-history.fr.sgml
	debiandoc2html project-history.ru.sgml

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	rm -rf project-history.html \
		project-history.fr.html project-history.ru.html

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 644 project-history.html/*.html \
		debian/debian-history/usr/share/doc/debian-history/en
	install -m 644 project-history.fr.html/*.html \
		debian/debian-history/usr/share/doc/debian-history/fr
	install -m 644 project-history.ru.html/*.html \
		debian/debian-history/usr/share/doc/debian-history/ru

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## debian-history 2.5

=== Makefile ===
#
# Makefile for the Debian History
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for $(MANUAL) package build.

# Basename for SGML
MANUAL := project-history

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

all: html txt ps pdf

sources := $(wildcard *.??*.sgml)
sources_noncjk := $(filter-out $(MANUAL).ja.sgml,$(sources))

# generating HTML
# ugly because the normal stuff works only as PHONYs. :(
#$(MANUAL).%.html/index.%.html: $(MANUAL).%.sgml
#	debiandoc2html -c -l $* $<
html:
	@if [ $(MANUAL).sgml -nt $(MANUAL).en.html/index.en.html ]; then \
          rm -r $(MANUAL).en.html; \
          echo debiandoc2html -c -l en $(MANUAL).sgml; \
          debiandoc2html -c -l en $(MANUAL).sgml; \
          mv $(MANUAL).html $(MANUAL).en.html; \
        fi
	@for i in *.??*.sgml; do \
          j=$${i#$(MANUAL).}; lang=$${j%.sgml}; \
	  if [ $$i -nt $(MANUAL).$$lang.html/index.$$lang.html ]; then \
            echo debiandoc2html -c -l $$lang $$i; \
            debiandoc2html -c -l $$lang $$i; \
          fi; \
        done

# generating plain text
txt text: $(MANUAL).en.txt $(patsubst %.sgml,%.txt,$(sources))

$(MANUAL).en.txt: $(MANUAL).sgml
	debiandoc2text -l en $<
	mv $(MANUAL).txt $(MANUAL).en.txt

$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

# generating PostScript
ps: $(MANUAL).en.ps $(patsubst %.sgml,%.ps,$(sources_noncjk))

$(MANUAL).en.ps: $(MANUAL).sgml
	debiandoc2latexps -l en $<
	mv $(MANUAL).ps $(MANUAL).en.ps

$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $* $<

# generating Portable Document Format
pdf: $(MANUAL).en.pdf $(patsubst %.sgml,%.pdf,$(sources_noncjk))

$(MANUAL).en.pdf: $(MANUAL).sgml
	debiandoc2latexpdf -l en $<
	mv $(MANUAL).pdf $(MANUAL).en.pdf

$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $* $<

# publishing to the DDP web pages
publish: all
	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(MANUAL) && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)
	ln -sf $(MANUAL).en.txt $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).txt
	ln -sf $(MANUAL).en.ps $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).ps
	ln -sf $(MANUAL).en.pdf $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).pdf

# validating SGML
validate:
	@set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean distclean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt} *~
	rm -rf $(MANUAL)*.html

.PHONY: all publish clean distclean validate
.SUFFIXES:

=== debian/changelog ===
debian-history (2.5) unstable; urgency=low

  * merge NMU changes into CVS
  * fix FTBFS problem, closes: #269986
  * merge patch from Ingo Saitz to add references to slink, closes: #218458
  * various cosmetic fixes to sources

 -- Bdale Garbee <bdale@gag.com>  Mon,  6 Sep 2004 02:26:34 -0600

debian-history (2.4-0.1) unstable; urgency=low

  * NMU (2.3 and 2.4 were never uploaded)
  * Upload two years of changes from CVS. Closes: #203031, #186504, #169589
    Closes: #226676, #179978
  * Fix a few typos.
  * Uses debhelper v3, so update build dependency version.
    
 -- Joey Hess <joeyh@debian.org>  Thu,  5 Aug 2004 14:24:20 -0400

debian-history (2.4) unstable; urgency=low

  * Build system cleanups by Josip Rodin.
  * Added new translations from CVS.

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Jul 2003 20:15:09 +0200

debian-history (2.3) unstable; urgency=low

  * quick update to reflect latest DPL election results

 -- Bdale Garbee <bdale@gag.com>  Sun, 21 Apr 2002 20:49:56 -0600

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 3), debiandoc-sgml
Standards-Version: 3.6.1.1

Package: debian-history
Architecture: all
Description: A Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  
 .
 In English, French, Russian, Italian, Japanese and Portuguese.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_COMPAT=3

docdir := $(CURDIR)/debian/debian-history/usr/share/doc/debian-history

build: build-stamp

build-stamp: 
	dh_testdir

	# ensure our SGML is valid and make HTML out of it
	$(MAKE) validate html

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	set -ex; for i in en fr it ja ru pt; do \
          cp -a project-history.$$i.html $(docdir)/$$i; \
          ln -s index.$$i.html $(docdir)/$$i/index.html; \
        done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	set -ex; for i in fr it ja ru pt; do \
          cp debian/debian-history.doc-base.$$i \
             debian/debian-history/usr/share/doc-base/debian-history.$$i; \
        done
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## debian-history 2.7

=== Makefile ===
--- 
+++ 
@@ -12,25 +12,45 @@
 
 all: html txt ps pdf
 
-sources := $(wildcard *.??*.sgml)
-sources_noncjk := $(filter-out $(MANUAL).ja.sgml,$(sources))
+po-sources := $(wildcard *.??*.po)
+sgml-from-po := $(patsubst %.po,%.sgml,$(po-sources))
+sgml-sources := $(wildcard *.??*.sgml)
+sources := $(sgml-sources) $(sgml-from-po)
+sources_lessja := $(patsubst project-history.ja.sgml,,$(sources))
+sources_noncjk := $(patsubst project-history.ko.sgml,,$(sources_lessja))
+
+$(MANUAL).pot: $(MANUAL).sgml
+	debiandoc2pot $(MANUAL).sgml > $(MANUAL).pot
+
+# Update PO files after each change of $(MANUAL).sgml to avoid possible build errors
+$(po-sources): $(MANUAL).%.po: $(MANUAL).sgml $(MANUAL).pot
+	msgmerge --width=76 $@ $(MANUAL).pot -o $@.new && mv $@.new $@
+
+$(MANUAL).%.sgml: $(MANUAL).%.po $(MANUAL).sgml
+	po2debiandoc $(MANUAL).sgml $(MANUAL).$*.po > $(MANUAL).$*.sgml
+
+update-po:
+	$(MAKE) $(po-sources)
 
 # generating HTML
 # ugly because the normal stuff works only as PHONYs. :(
 #$(MANUAL).%.html/index.%.html: $(MANUAL).%.sgml
 #	debiandoc2html -c -l $* $<
 html:
-	@if [ $(MANUAL).sgml -nt $(MANUAL).en.html/index.en.html ]; then \
+	@if [ ! -f $(MANUAL).en.html/index.en.html -o $(MANUAL).sgml -nt $(MANUAL).en.html/index.en.html ]; then \
           rm -r $(MANUAL).en.html; \
           echo debiandoc2html -c -l en $(MANUAL).sgml; \
           debiandoc2html -c -l en $(MANUAL).sgml; \
           mv $(MANUAL).html $(MANUAL).en.html; \
         fi
-	@for i in *.??*.sgml; do \
-          j=$${i#$(MANUAL).}; lang=$${j%.sgml}; \
-	  if [ $$i -nt $(MANUAL).$$lang.html/index.$$lang.html ]; then \
-            echo debiandoc2html -c -l $$lang $$i; \
-            debiandoc2html -c -l $$lang $$i; \
+	@for i in $(sgml-sources) $(po-sources); do \
+          nosuffix1=$${i%.sgml}; nosuffix=$${nosuffix1%.po}; \
+	  lang=$${nosuffix#$(MANUAL).}; \
+	if [ ! -f $(MANUAL).$$lang.html/index.$$lang.html -o $$i -nt $(MANUAL).$$lang.html/index.$$lang.html ]; then \
+	    sgmlfile=$$nosuffix.sgml; \
+	    [ $$sgmlfile != $$i ] && make $$sgmlfile; \
+	    echo debiandoc2html -c -l $$lang $$sgmlfile; \
+            debiandoc2html -c -l $$lang $$sgmlfile; \
           fi; \
         done
 
@@ -69,7 +89,7 @@
 	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
 	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
 	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
-# possible non-POSIX syntax below. fuck POSIX.
+# possible non-POSIX syntax below.
 	cd $(PUBLISHDIR)/$(MANUAL) && for file in *.en.html; do \
           ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
         done
@@ -84,8 +104,10 @@
 
 # cleaning up
 clean distclean:
-	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt} *~
-	rm -rf $(MANUAL)*.html
+	for suffix in txt ps dvi pdf info* log tex aux toc out sasp* tpt; do \
+	  rm -f $(MANUAL)*.$$suffix; \
+	done
+	rm -rf $(MANUAL)*.html head.tmp body.tmp *~ $(sgml-from-po) $(MANUAL).pot
 
 .PHONY: all publish clean distclean validate
 .SUFFIXES:

=== debian/changelog ===
debian-history (2.7) unstable; urgency=high

  * crank the urgency since this should release with etch
  * turn on pdf and ps delivery for noncjk locales, closes: #273365
  * pick up changes in CVS, closes: #382636
  * merge updated Japanese translation, closes: #356281
  * freshen standards and lintian versions

 -- Bdale Garbee <bdale@gag.com>  Wed,  4 Apr 2007 01:11:17 -0600

debian-history (2.6) unstable; urgency=low

  * freshen to pick up changes in CVS, closes: #305039, #356281, #263807
    closes: #226676, #179978, #169589, #186504, #203031
  * fix a few out-dated assertions, closes: #299767
  * update version info on the title page

 -- Bdale Garbee <bdale@gag.com>  Thu, 23 Mar 2006 10:30:23 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 3), debiandoc-sgml
-Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>= 5), debiandoc-sgml, po-debiandoc
+Standards-Version: 3.7.2
 
 Package: debian-history
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-#export DH_VERBOSE=1
-export DH_COMPAT=3
 
 docdir := $(CURDIR)/debian/debian-history/usr/share/doc/debian-history
 
@@ -10,8 +7,8 @@
 build-stamp: 
 	dh_testdir
 
-	# ensure our SGML is valid and make HTML out of it
-	$(MAKE) validate html
+	# ensure our SGML is valid and build deliverables out of it
+	$(MAKE) validate all
 
 	touch build-stamp
 
@@ -32,6 +29,9 @@
 	set -ex; for i in en fr it ja ru pt; do \
           cp -a project-history.$$i.html $(docdir)/$$i; \
           ln -s index.$$i.html $(docdir)/$$i/index.html; \
+          cp -a project-history.$$i.txt $(docdir)/$$i; \
+        done; for i in en fr it ru pt; do \
+          cp -a project-history.$$i.ps project-history.$$i.pdf $(docdir)/$$i; \
         done
 
 binary-indep: build install

## debian-history 2.8

=== debian/changelog ===
debian-history (2.8) unstable; urgency=low

  * incorporate patch from Nicolas Francois.  Cleans up build dependencies,
    moves from po-debconf to po4a, fixes hardcoded list of languages.
    closes: #420332
  * transition from using tetex to texlive

 -- Bdale Garbee <bdale@gag.com>  Wed, 16 May 2007 10:22:51 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 5), debiandoc-sgml, po-debiandoc
+Build-Depends: debhelper (>= 5)
+Build-Depends-Indep: debiandoc-sgml, po4a, texlive, texlive-latex-extra, texlive-lang-cyrillic
 Standards-Version: 3.7.2
 
 Package: debian-history

## debian-history 2.9

=== Makefile ===
--- 
+++ 
@@ -20,14 +20,14 @@
 sources_noncjk := $(patsubst project-history.ko.sgml,,$(sources_lessja))
 
 $(MANUAL).pot: $(MANUAL).sgml
-	debiandoc2pot $(MANUAL).sgml > $(MANUAL).pot
+	po4a-gettextize -f sgml -m $(MANUAL).sgml -p $(MANUAL).pot
 
 # Update PO files after each change of $(MANUAL).sgml to avoid possible build errors
 $(po-sources): $(MANUAL).%.po: $(MANUAL).sgml $(MANUAL).pot
 	msgmerge --width=76 $@ $(MANUAL).pot -o $@.new && mv $@.new $@
 
 $(MANUAL).%.sgml: $(MANUAL).%.po $(MANUAL).sgml
-	po2debiandoc $(MANUAL).sgml $(MANUAL).$*.po > $(MANUAL).$*.sgml
+	po4a-translate -f sgml -m $(MANUAL).sgml -p $(MANUAL).$*.po -l $(MANUAL).$*.sgml
 
 update-po:
 	$(MAKE) $(po-sources)

=== debian/changelog ===
debian-history (2.9) unstable; urgency=low

  * merge Lithuanian translation, closes: #437059
  * fix date in Spanish translation, closes: #426602, #426603
  * clean up postinst and prerm since debhelper gets it right, closes: #424730

 -- Bdale Garbee <bdale@gag.com>  Mon, 20 Aug 2007 09:54:08 -0600

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: debiandoc-sgml, littex, po4a, texlive, texlive-latex-extra, texlive-lang-cyrillic
Standards-Version: 3.7.2

Package: debian-history
Architecture: all
Description: A Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  
 .
 In English, French, Russian, Italian, Japanese, Portuguese and Lithuanian.

=== debian/rules ===
--- 
+++ 
@@ -26,21 +26,27 @@
 	dh_clean -k
 	dh_installdirs
 
-	set -ex; for i in en fr it ja ru pt; do \
-          cp -a project-history.$$i.html $(docdir)/$$i; \
-          ln -s index.$$i.html $(docdir)/$$i/index.html; \
-          cp -a project-history.$$i.txt $(docdir)/$$i; \
-        done; for i in en fr it ru pt; do \
-          cp -a project-history.$$i.ps project-history.$$i.pdf $(docdir)/$$i; \
+	# Install the translations.
+	# The ps and pdf for the CJK languages are not generated
+	set -ex; for i in project-history.*.txt; do \
+          nosuffix=$${i%.txt}; \
+          lang=$${nosuffix#project-history.}; \
+          cp -a project-history.$$lang.html $(docdir)/$$lang; \
+          ln -s index.$$lang.html $(docdir)/$$lang/index.html; \
+          cp -a project-history.$$lang.txt $(docdir)/$$lang; \
+          if [ "$$lang" != "ja" ] && [ "$$lang" != "ko" ]; then \
+            cp -a project-history.$$lang.ps project-history.$$lang.pdf $(docdir)/$$lang; \
+          fi; \
         done
 
 binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	set -ex; for i in fr it ja ru pt; do \
-          cp debian/debian-history.doc-base.$$i \
-             debian/debian-history/usr/share/doc-base/debian-history.$$i; \
+	set -ex; for i in debian/debian-history.doc-base.*; do \
+          lang=$${i#debian/debian-history.doc-base.}; \
+          cp debian/debian-history.doc-base.$$lang \
+             debian/debian-history/usr/share/doc-base/debian-history.$$lang; \
         done
 	dh_installchangelogs
 	dh_link

## debian-history 2.10

=== debian/changelog ===
debian-history (2.10) unstable; urgency=low

  * fix typos found by Helge Kreutzmann, closes: #445634
  * incorporate results of recent DPL election

 -- Bdale Garbee <bdale@gag.com>  Wed, 16 Apr 2008 00:43:08 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, littex, po4a, texlive, texlive-latex-extra, texlive-lang-cyrillic
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: debian-history
 Architecture: all

## debian-history 2.12

=== debian/changelog ===
debian-history (2.12) unstable; urgency=low

  [Martin Zobel-Helas]
  * zack is now our current DPL. 

  [Bdale Garbee]
  * add lmodern to build deps to solve font availability FTBFS

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 May 2010 19:34:41 +0000

debian-history (2.11) unstable; urgency=low

  * update build dependencies in response to elimination of littex
  * updated Italian translation from Ferdinando Ferranti
  * merge content lost in CVS to SVN ddp transition

 -- Bdale Garbee <bdale@gag.com>  Fri, 19 Mar 2010 23:35:05 -0600

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: debiandoc-sgml, po4a, texlive, texlive-lang-cyrillic, texlive-lang-lithuanian, texlive-latex-extra, lmodern
Standards-Version: 3.8.4

Package: debian-history
Architecture: all
Depends: ${misc:Depends}
Description: A Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  
 .
 In English, French, Russian, Italian, Japanese, Portuguese and Lithuanian.

## debian-history 2.14

=== Makefile ===
--- 
+++ 
@@ -16,18 +16,18 @@
 sgml-from-po := $(patsubst %.po,%.sgml,$(po-sources))
 sgml-sources := $(wildcard *.??*.sgml)
 sources := $(sgml-sources) $(sgml-from-po)
-sources_lessja := $(patsubst project-history.ja.sgml,,$(sources))
-sources_noncjk := $(patsubst project-history.ko.sgml,,$(sources_lessja))
+# noncjk == no ps/pdf
+sources_noncjk := $(filter-out project-history.ko.sgml,$(sources))
 
 $(MANUAL).pot: $(MANUAL).sgml
-	po4a-gettextize -f sgml -m $(MANUAL).sgml -p $(MANUAL).pot
+	po4a-gettextize -M UTF-8 -f sgml -m $(MANUAL).sgml -p $(MANUAL).pot
 
 # Update PO files after each change of $(MANUAL).sgml to avoid possible build errors
 $(po-sources): $(MANUAL).%.po: $(MANUAL).sgml $(MANUAL).pot
 	msgmerge --width=76 $@ $(MANUAL).pot -o $@.new && mv $@.new $@
 
 $(MANUAL).%.sgml: $(MANUAL).%.po $(MANUAL).sgml
-	po4a-translate -f sgml -m $(MANUAL).sgml -p $(MANUAL).$*.po -l $(MANUAL).$*.sgml
+	po4a-translate -M UTF-8 -f sgml -m $(MANUAL).sgml -p $(MANUAL).$*.po -l $(MANUAL).$*.sgml
 
 update-po:
 	$(MAKE) $(po-sources)
@@ -39,8 +39,8 @@
 html:
 	@if [ ! -f $(MANUAL).en.html/index.en.html -o $(MANUAL).sgml -nt $(MANUAL).en.html/index.en.html ]; then \
           rm -r $(MANUAL).en.html; \
-          echo debiandoc2html -c -l en $(MANUAL).sgml; \
-          debiandoc2html -c -l en $(MANUAL).sgml; \
+          echo debiandoc2html -C -l en.utf-8 $(MANUAL).sgml; \
+	  debiandoc2html -C -l en.utf-8 $(MANUAL).sgml; \
           mv $(MANUAL).html $(MANUAL).en.html; \
         fi
 	@for i in $(sgml-sources) $(po-sources); do \
@@ -49,8 +49,8 @@
 	if [ ! -f $(MANUAL).$$lang.html/index.$$lang.html -o $$i -nt $(MANUAL).$$lang.html/index.$$lang.html ]; then \
 	    sgmlfile=$$nosuffix.sgml; \
 	    [ $$sgmlfile != $$i ] && make $$sgmlfile; \
-	    echo debiandoc2html -c -l $$lang $$sgmlfile; \
-            debiandoc2html -c -l $$lang $$sgmlfile; \
+	    echo debiandoc2html -C -l $$lang.utf-8 $$sgmlfile; \
+            debiandoc2html -C -l $$lang.utf-8 $$sgmlfile; \
           fi; \
         done
 
@@ -58,31 +58,31 @@
 txt text: $(MANUAL).en.txt $(patsubst %.sgml,%.txt,$(sources))
 
 $(MANUAL).en.txt: $(MANUAL).sgml
-	debiandoc2text -l en $<
+	debiandoc2text -l en.utf-8 $<
 	mv $(MANUAL).txt $(MANUAL).en.txt
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml
-	debiandoc2text -l $* $<
+	debiandoc2text -l $*.utf-8 $<
 
 # generating PostScript
 ps: $(MANUAL).en.ps $(patsubst %.sgml,%.ps,$(sources_noncjk))
 
 $(MANUAL).en.ps: $(MANUAL).sgml
-	debiandoc2latexps -l en $<
+	debiandoc2latexps -l en.utf-8 $<
 	mv $(MANUAL).ps $(MANUAL).en.ps
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml
-	debiandoc2latexps -l $* $<
+	debiandoc2latexps -l $*.utf-8 $<
 
 # generating Portable Document Format
 pdf: $(MANUAL).en.pdf $(patsubst %.sgml,%.pdf,$(sources_noncjk))
 
 $(MANUAL).en.pdf: $(MANUAL).sgml
-	debiandoc2latexpdf -l en $<
+	debiandoc2latexpdf -l en.utf-8 $<
 	mv $(MANUAL).pdf $(MANUAL).en.pdf
 
 $(MANUAL).%.pdf: $(MANUAL).%.sgml
-	debiandoc2latexpdf -l $* $<
+	debiandoc2latexpdf -l $*.utf-8 $<
 
 # publishing to the DDP web pages
 publish: all
@@ -94,6 +94,7 @@
           ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
         done
 	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)
+	echo "AddCharset UTF-8 .txt" > $(PUBLISHDIR)/$(MANUAL)/.htaccess
 	ln -sf $(MANUAL).en.txt $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).txt
 	ln -sf $(MANUAL).en.ps $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).ps
 	ln -sf $(MANUAL).en.pdf $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).pdf

=== debian/changelog ===
debian-history (2.14) unstable; urgency=low

  [ David Prévot ]
  * Updated French translation from Steve Petruzzello, closes: #599182

  [ Osamu Aoki ]
  * Retroactively added note on #594538 and Lithuanian missed in 2.13.
  * Fixed leadership text consistency and Andrés García.

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Dec 2010 09:56:27 +0900

debian-history (2.13) unstable; urgency=low

  [ Javier Fernandez-Sanguino ]
  * Include some information of the Lenny release.

  [ Osamu Aoki ]
  * Converted to UTF-8 for all languages, closes: #594538
  * Updated the German PO file
  * doc-base and installed files adjusted for Korean, Japanese, 
    and Lithuanian
  * Added Uploaders, Homepage, Vcs-Svn, and Vcs-Browser fields 
    to debian/control
  * Updated package dependency for Squeeze.
  * Fixed typos reported by David Richfield, closes: #541957 
  * Updated the Lithuanian PO file translation from Kęstutis Biliūnas.
  * Added lmodern font for Lithuanian.

 -- Osamu Aoki <osamu@debian.org>  Sun, 12 Sep 2010 08:49:24 +0900

## debian-history 2.15

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	msgmerge --width=76 $@ $(MANUAL).pot -o $@.new && mv $@.new $@
 
 $(MANUAL).%.sgml: $(MANUAL).%.po $(MANUAL).sgml
-	po4a-translate -M UTF-8 -f sgml -m $(MANUAL).sgml -p $(MANUAL).$*.po -l $(MANUAL).$*.sgml
+	po4a-translate -k 70 -M UTF-8 -f sgml -m $(MANUAL).sgml -p $(MANUAL).$*.po -l $(MANUAL).$*.sgml
 
 update-po:
 	$(MAKE) $(po-sources)

=== debian/changelog ===
debian-history (2.15) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Applied Chris Leick's typo fix patch, closes: #611021
  * debian-history.doc-base.ko should refer to Korean documentation, not
    Lithuanian. closes: #610018
  * Added section on the passing of Frans Pop, closes: #611024
  * Next release is wheezy, updated the "What's Next?" section accordingly
  * Uncommented and updated the Squeeze section

  [ Osamu Aoki ]
  * Fixed build issues for the Italian by removing character entities. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 23 Jul 2011 23:11:54 +0900

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, texlive, texlive-lang-all, texlive-latex-extra, latex-cjk-all, ghostscript, lmodern
Standards-Version: 3.9.1
Homepage: http://www.debian.org/doc/misc-manuals#history
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/project-history
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/project-history/

Package: debian-history
Architecture: all
Depends: ${misc:Depends}
Description: A Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  
 .
 In English, French, German, Italian, Japanese, Korean, Portuguese, Russian, 
 and Lithuanian.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	dh_testdir
 
 	# ensure our SGML is valid and build deliverables out of it
-	$(MAKE) validate all
+	#$(MAKE) validate all
+	$(MAKE) all
 
 	touch build-stamp
 
@@ -23,7 +24,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Install the translations.
@@ -34,10 +35,11 @@
           cp -a project-history.$$lang.html $(docdir)/$$lang; \
           ln -s index.$$lang.html $(docdir)/$$lang/index.html; \
           cp -a project-history.$$lang.txt $(docdir)/$$lang; \
-          if [ "$$lang" != "ja" ] && [ "$$lang" != "ko" ]; then \
+          if [ "$$lang" != "ko" ]; then \
             cp -a project-history.$$lang.ps project-history.$$lang.pdf $(docdir)/$$lang; \
           fi; \
         done
+	
 
 binary-indep: build install
 	dh_testdir

## debian-history 2.16

=== debian/changelog ===
debian-history (2.16) unstable; urgency=low

  [ Bdale Garbee ]
  * fix typo, closes: #653734
  * new German translation, closes: #611017
  * add a paragraph honoring i-Connect.Net's early contributions, including
    hosting master.debian.org for a while after it left HP, closes: #638218

  [ Javier Fernandez-Sanguino ]
  * Make visible the short introduction of Squeeze (was commented out and 
    nobody remembered to uncomment it in the previous upload)

 -- Bdale Garbee <bdale@gag.com>  Fri, 30 Dec 2011 09:46:30 -0700

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, texlive, texlive-lang-all, texlive-latex-extra, latex-cjk-all, ghostscript, lmodern
Standards-Version: 3.9.2
Homepage: http://www.debian.org/doc/misc-manuals#history
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/project-history
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/project-history/

Package: debian-history
Architecture: all
Depends: ${misc:Depends}
Description: Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  
 .
 In English, French, German, Italian, Japanese, Korean, Portuguese, Russian, 
 and Lithuanian.

## debian-history 2.17

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 # Update PO files after each change of $(MANUAL).sgml to avoid possible build errors
 $(po-sources): $(MANUAL).%.po: $(MANUAL).sgml $(MANUAL).pot
-	msgmerge --width=76 $@ $(MANUAL).pot -o $@.new && mv $@.new $@
+	msgmerge --previous --width=76 $@ $(MANUAL).pot -o $@.new && mv $@.new $@
 
 $(MANUAL).%.sgml: $(MANUAL).%.po $(MANUAL).sgml
 	po4a-translate -k 70 -M UTF-8 -f sgml -m $(MANUAL).sgml -p $(MANUAL).$*.po -l $(MANUAL).$*.sgml

=== debian/changelog ===
debian-history (2.17) unstable; urgency=low

  * Team upload

  [ Javier Fernandez-Sanguino ]
  * Review the Squeeze introduction based on comments in the debian-doc
    mailing list (mainly coming from Justin B Rye).
  * Review the use of 'in the movie' throughout the document.

  [ Translation updates ]
  * French, Steve Petruzzello, closes: #669674
  * German, Chris Leick, closes: #684087
  * Japanese, YOSHINO Yoshihito, closes: #684328

  [ David Prévot ]
  * Fix typos spotted by Sergey Alyoshin and Chris Leick
  * Makefile: Keep previous msgids of translated messages
  * Remove inaccurate part about skipping Squeeze upgrade
  * debian/control: Bump standards version (no change needed)
  * debian/copyright: Point to the GPL-2 file
  * debian/source/options: Switch to xz compression for source

 -- David Prévot <taffit@debian.org>  Fri, 10 Aug 2012 12:49:14 -0400

## debian-history 2.19~deb7u1

=== Makefile ===
--- 
+++ 
@@ -12,43 +12,33 @@
 
 all: html txt ps pdf
 
-po-sources := $(wildcard *.??*.po)
-sgml-from-po := $(patsubst %.po,%.sgml,$(po-sources))
+po-sources := $(wildcard po4a/po/??*.po)
+sgml-from-po := $(patsubst po4a/po/%.po,$(MANUAL).%.sgml,$(po-sources))
 sgml-sources := $(wildcard *.??*.sgml)
 sources := $(sgml-sources) $(sgml-from-po)
 # noncjk == no ps/pdf
 sources_noncjk := $(filter-out project-history.ko.sgml,$(sources))
 
-$(MANUAL).pot: $(MANUAL).sgml
-	po4a-gettextize -M UTF-8 -f sgml -m $(MANUAL).sgml -p $(MANUAL).pot
-
-# Update PO files after each change of $(MANUAL).sgml to avoid possible build errors
-$(po-sources): $(MANUAL).%.po: $(MANUAL).sgml $(MANUAL).pot
-	msgmerge --previous --width=76 $@ $(MANUAL).pot -o $@.new && mv $@.new $@
-
-$(MANUAL).%.sgml: $(MANUAL).%.po $(MANUAL).sgml
-	po4a-translate -k 70 -M UTF-8 -f sgml -m $(MANUAL).sgml -p $(MANUAL).$*.po -l $(MANUAL).$*.sgml
-
-update-po:
-	$(MAKE) $(po-sources)
+update-po $(sgml-from-po): $(MANUAL).sgml $(po-sources)
+	touch po4a/po/$(MANUAL).pot
+	po4a --force po4a/po4a.cfg
 
 # generating HTML
 # ugly because the normal stuff works only as PHONYs. :(
 #$(MANUAL).%.html/index.%.html: $(MANUAL).%.sgml
 #	debiandoc2html -c -l $* $<
-html:
+html: $(sgml-from-po)
 	@if [ ! -f $(MANUAL).en.html/index.en.html -o $(MANUAL).sgml -nt $(MANUAL).en.html/index.en.html ]; then \
           rm -r $(MANUAL).en.html; \
           echo debiandoc2html -C -l en.utf-8 $(MANUAL).sgml; \
 	  debiandoc2html -C -l en.utf-8 $(MANUAL).sgml; \
           mv $(MANUAL).html $(MANUAL).en.html; \
         fi
-	@for i in $(sgml-sources) $(po-sources); do \
-          nosuffix1=$${i%.sgml}; nosuffix=$${nosuffix1%.po}; \
+	@for i in $(sources); do \
+          nosuffix=$${i%.sgml}; \
 	  lang=$${nosuffix#$(MANUAL).}; \
 	if [ ! -f $(MANUAL).$$lang.html/index.$$lang.html -o $$i -nt $(MANUAL).$$lang.html/index.$$lang.html ]; then \
 	    sgmlfile=$$nosuffix.sgml; \
-	    [ $$sgmlfile != $$i ] && make $$sgmlfile; \
 	    echo debiandoc2html -C -l $$lang.utf-8 $$sgmlfile; \
             debiandoc2html -C -l $$lang.utf-8 $$sgmlfile; \
           fi; \
@@ -60,6 +50,12 @@
 $(MANUAL).en.txt: $(MANUAL).sgml
 	debiandoc2text -l en.utf-8 $<
 	mv $(MANUAL).txt $(MANUAL).en.txt
+
+# NOTE: convert to koi8-r for correct text wrap with debiandoc2text, workaround #684276
+$(MANUAL).ru.txt: $(MANUAL).ru.sgml
+	iconv -f utf-8 -t koi8-r//translit $< \
+		| debiandoc2text -l ru-ru.koi8-r - \
+		| iconv -f koi8-r -t utf-8 -o $@
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml
 	debiandoc2text -l $*.utf-8 $<
@@ -108,7 +104,7 @@
 	for suffix in txt ps dvi pdf info* log tex aux toc out sasp* tpt; do \
 	  rm -f $(MANUAL)*.$$suffix; \
 	done
-	rm -rf $(MANUAL)*.html head.tmp body.tmp *~ $(sgml-from-po) $(MANUAL).pot
+	rm -rf $(MANUAL)*.html head.tmp body.tmp *~ $(sgml-from-po) po4a/po/$(MANUAL).pot
 
 .PHONY: all publish clean distclean validate
 .SUFFIXES:

=== debian/changelog ===
debian-history (2.19~deb7u1) stable; urgency=low

  * Rebuild for Wheezy

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 02 Jun 2013 00:40:37 +0200

debian-history (2.19) unstable; urgency=low

  [ Javier Fernandez-Sanguino ]
  * Updated for the Wheezy release

  [ Translation updates ]
  * French, Christian Perrier, Steve Petruzzello
  * German, Chris Leick, closes: #706719
  * Japanese, victory
  * Russian, Sergey Alyoshin, closes: #708941

 -- David Prévot <taffit@debian.org>  Thu, 02 May 2013 17:30:33 -0400

debian-history (2.18) unstable; urgency=low

  [ David Prévot ]
  * Clean up po4a part of the build, using its own configuration file.

  [ Sergey Alyoshin ]
  * Correct text wrap in Russian text file.

  [ Translation updates ]
  * Russian, Sergey Alyoshin

  [ Bdale Garbee ]
  * note new DPL
  * several minor updates and grammatical corrections

 -- Bdale Garbee <bdale@gag.com>  Wed, 24 Apr 2013 23:00:44 -0600

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, texlive, texlive-lang-all, texlive-latex-extra, latex-cjk-all, ghostscript, lmodern
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.debian.org/doc/misc-manuals#history
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/project-history
 Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/project-history/

## debian-history 2.20

=== debian/changelog ===
debian-history (2.20) unstable; urgency=medium

  [ Javier Fernández-Sanguino Peña ]
  * project-history: Fix dead links to "Debian counting site" and typo with
    patch provided by Daniele Forsi (Closes: #734274)

  [ David Prévot ]
  * Work around #725931

  [ Baptiste Jammet ]
  * List Neil McGovern as new DPL, thanks Jakub Wilk.  Closes: #797206

  [ Martin Michlmayr ]
  * The next release is stretch, not jessie.  Thanks to Jack van Klaren.
  * Fix some typos.
  * Fix capitalization of some words.
  * Fix grammatical error, thanks Christopher Hagar.  Closes: #742567
  * Correction on Debian's release policy: Debian adopted time-based
    freezes, not time-based releases.
  * Add information about DebConf13.
  * Replace link to announcement of Debian with plain text version.
    Closes: #766753
  * Update http links to https where sites redirect to https.

  [ Holger Wansing]
  * Add info about deaths since 2010 to "Important Events" section.
    Closes: #770656
  * Add info about the deaths of Clytie Siddall and Ian Murdock.
  * Add portuguese translation by Américo Monteiro. Closes: #756292
  * Mention Ian's scanned printout of Debian announcement. Closes: #810574

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 19 Feb 2016 19:58:36 +0100

## debian-history 2.21

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 update-po $(sgml-from-po): $(MANUAL).sgml $(po-sources)
 	touch po4a/po/$(MANUAL).pot
-	po4a --force po4a/po4a.cfg
+	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --force po4a/po4a.cfg
 
 # generating HTML
 # ugly because the normal stuff works only as PHONYs. :(

=== debian/changelog ===
debian-history (2.21) unstable; urgency=medium

  [ Martin Michlmayr ]
  * List Mehdi Dogguy as new DPL.
  * Remove Ian Murdock's email address.
  * Use web.archive.org for the link to ianmurdock.com
  * Remove some architectures that are no longer supported.
  * Add section dedicated to Kristoffer H. Rose.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 24 Jan 2017 15:01:55 -0800

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 docdir := $(CURDIR)/debian/debian-history/usr/share/doc/debian-history
 
-build: build-stamp
-
-build-stamp: 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 
 	# ensure our SGML is valid and build deliverables out of it

## debian-history 2.23

=== debian/changelog ===
debian-history (2.23) unstable; urgency=medium

  * Fix build system for date string and use id.as.filename.
  * Merge patch by Holger Wansing for machine compromise and
    point release.  Update TODO. Closes: #360623, #810575
  * Pick stable section id names.

 -- Osamu Aoki <osamu@debian.org>  Sun, 23 Sep 2018 23:14:12 +0900

debian-history (2.22) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Change link of printed Debian announcement from archive.org to
    flickr.com.
  * List Chris Lamb as new DPL.  Closes: #860759

  [ Steve Petruzzello ]
  * Update french translation

  [ Holger Wansing ]
  * Update german translation
  * Change codename for testing from stretch to buster.

  [ Javier Fernández-Sanguino Peña ]
  * Update information for the Debian 9 «stretch» release.

  [ Osamu Aoki ]
  * Migrate to DocBook XML 4.5.
  * Move all translation to po4a with workaround for <bookinfo> tag.
  * Build text and epub but drop PS.

 -- Osamu Aoki <osamu@debian.org>  Wed, 05 Sep 2018 00:24:34 +0900

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
Build-Depends: debhelper (>= 10~)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     po4a,
                     texlive-lang-all,
                     latex-cjk-all,
                     texlive-xetex,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 4.2.1
Homepage: https://www.debian.org/doc/misc-manuals#history
Vcs-Git: https://salsa.debian.org/ddp-team/project-history.git 
Vcs-Browser: https://salsa.debian.org/ddp-team/project-history

Package: debian-history
Architecture: all
Depends: ${misc:Depends}
Description: Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.  
 .
 In English, French, German, Italian, Japanese, Korean, Portuguese, Russian, 
 and Lithuanian.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-history
## ----------------------------------------------------------------------

include /usr/share/dpkg/pkg-info.mk

# version of this Debian package (debian/changelog)
PUBVERSION := $(DEB_VERSION)
# short date of this Debian package (debian/changelog)
PUBDATE := $(shell { date +'%Y-%m-%d' -d"@$(SOURCE_DATE_EPOCH)" ; })

export PUBVERSION
export PUBDATE

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1
## no-parallel to build with the cleaner log (it slows!)
#BUILDOPT:=	 --parallel
BUILDOPT:=	 --no-parallel

## ----------------------------------------------------------------------
# Package building language choice
# (This should be updated with the maintainer approval)
#
MANUAL	:=	debian-history
LANGALL	:=	en de fr it ja ko lt pt ru
LANGPO	:=	   de fr it ja ko lt pt ru
# languages to skip generation of PDF files (not used now)
#NOPDF	:=	ja
NOPDF	:=	

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	dh_auto_build $(BUILDOPT) -- \
		"LANGALL=$(LANGALL)" \
		"LANGPO=$(LANGPO)" \
		"NOPDF=$(NOPDF)" \
		all


override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_test:
	: # no need to test build html pages

override_dh_auto_clean:
	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean

## debian-history 2.23+nmu1

=== debian/changelog ===
debian-history (2.23+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:14:57 +0800

## debian-history 2.24

=== debian/changelog ===
debian-history (2.24) unstable; urgency=medium

  [ Javier Fernández-Sanguino Peña ]
  * Updated spanish translation
  * Add content of the Debian 10 «buster» release.
  * debian/copyright: Modify to be in sync with information in document.
    Also include proper copyright/license header in PO files which missed it
    or only included the translator's
  * Updated French translation (Closes: #928109)
    - Create also po4a/add_fr/project-history.add to credit the translation
  * Remove the links to libresoft.es (no longer available) and change the
    link of the article to an online source (Closes: #925093)
  * Remove the links to Alioth (Closes: #925147)
  * Review the references to Debconfs, add Debconf0 and adjust the numbering
    of the Debconf's which were not correly numbered. Also add links to
    the Debconf sites which are all still available 
    (Closes: #925341, #925367, #926258, #926260)
  * Document Steve Greenland's death in 2009 (Closes: #815225)

  [ Holger Wansing ]
  * Update the information related to Project Leaders (2017 - 2019).

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Drop custom source compression.
  * Remove empty debian/source/options.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Fabrice BAUZAC-STEHLY ]
  * Fix Emacs version in Stretch.

  [ Osamu Asoki ]
  * Updated Portuguese translation by Américo Monteiro (Closes: #924735)

 -- Javier Fernandez-Sanguino <jfs@debian.org>  Sat, 18 Apr 2020 12:29:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
-Build-Depends: debhelper (>= 10~)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
@@ -21,7 +21,7 @@
                      zip
 Standards-Version: 4.2.1
 Homepage: https://www.debian.org/doc/misc-manuals#history
-Vcs-Git: https://salsa.debian.org/ddp-team/project-history.git 
+Vcs-Git: https://salsa.debian.org/ddp-team/project-history.git
 Vcs-Browser: https://salsa.debian.org/ddp-team/project-history
 
 Package: debian-history
@@ -30,7 +30,8 @@
 Description: Short History of the Debian Project
  As the Debian community continues to grow, and "old timers" become fewer
  and farther between, it seems appropriate to document where the project
- came from, and what it is about.  
+ came from, and what it is about.
  .
- In English, French, German, Italian, Japanese, Korean, Portuguese, Russian, 
- and Lithuanian.
+ The package includes the original document (in English) as well as the
+ translations in French, German, Italian, Japanese, Korean, Portuguese,
+ Russian, Spanish, and Lithuanian.
